package ${package};

import java.util.HashMap;
import java.util.Map;

import com.google.apphosting.api.ApiProxy;

public class TestEnvironment implements ApiProxy.Environment {
	public String getAppId() {
		return "Unit Tests";
	}

	public String getVersionId() {
		return "1.0";
	}

	public String getRequestNamespace() {
		return "";
	}

	public String getDefaultNamespace() {
		return null;
	}

	public String getAuthDomain() {
		return "hoge.com";
	}

	public boolean isLoggedIn() {
		return true;
	}

	public String getEmail() {
		return "hoge@hoge.com";
	}

	public boolean isAdmin() {
		throw new UnsupportedOperationException();
	}
	
	public Map<String, Object> getAttributes() {
		Map<String, Object> map = new HashMap<String, Object>();
		return map;
	}
}
